<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::Lowpan::FragmentHeader Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="../../d4/d62/classThread_1_1Lowpan_1_1FragmentHeader-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::Lowpan::FragmentHeader Class Reference<div class="ingroups"><a class="el" href="../../d0/de1/group__core.html">Core</a> &raquo; <a class="el" href="../../d9/db4/group__core-6lowpan.html">6LoWPAN</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This class implements Fragment Header generation and parsing.  
 <a href="../../d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../de/d66/lowpan_8hpp_source.html">src/core/thread/lowpan.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a53e634d188c7fac0acf4fce06a3ac112"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a53e634d188c7fac0acf4fce06a3ac112"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader.html#a53e634d188c7fac0acf4fce06a3ac112">Init</a> ()</td></tr>
<tr class="memdesc:a53e634d188c7fac0acf4fce06a3ac112"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method initializes the Fragment Header. <br /></td></tr>
<tr class="separator:a53e634d188c7fac0acf4fce06a3ac112"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af549d79b0e52a6df7165998c9005dff4"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader.html#af549d79b0e52a6df7165998c9005dff4">IsFragmentHeader</a> ()</td></tr>
<tr class="memdesc:af549d79b0e52a6df7165998c9005dff4"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method indicates whether or not the header is a Fragment Header.  <a href="#af549d79b0e52a6df7165998c9005dff4">More...</a><br /></td></tr>
<tr class="separator:af549d79b0e52a6df7165998c9005dff4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c1dceb257aa41c7e7ab2fbb78a71a8d"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader.html#a8c1dceb257aa41c7e7ab2fbb78a71a8d">GetHeaderLength</a> ()</td></tr>
<tr class="memdesc:a8c1dceb257aa41c7e7ab2fbb78a71a8d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Fragment Header length.  <a href="#a8c1dceb257aa41c7e7ab2fbb78a71a8d">More...</a><br /></td></tr>
<tr class="separator:a8c1dceb257aa41c7e7ab2fbb78a71a8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7055cf2380206a8dfe3122abb55800b2"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader.html#a7055cf2380206a8dfe3122abb55800b2">GetDatagramSize</a> ()</td></tr>
<tr class="memdesc:a7055cf2380206a8dfe3122abb55800b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Datagram Size value.  <a href="#a7055cf2380206a8dfe3122abb55800b2">More...</a><br /></td></tr>
<tr class="separator:a7055cf2380206a8dfe3122abb55800b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab67b3f90ee08487aafc07d9d16e22faf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader.html#ab67b3f90ee08487aafc07d9d16e22faf">SetDatagramSize</a> (uint16_t aSize)</td></tr>
<tr class="memdesc:ab67b3f90ee08487aafc07d9d16e22faf"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Datagram Size value.  <a href="#ab67b3f90ee08487aafc07d9d16e22faf">More...</a><br /></td></tr>
<tr class="separator:ab67b3f90ee08487aafc07d9d16e22faf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cfcd18bb18b6c0503a6cfab64a243f2"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader.html#a9cfcd18bb18b6c0503a6cfab64a243f2">GetDatagramTag</a> ()</td></tr>
<tr class="memdesc:a9cfcd18bb18b6c0503a6cfab64a243f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Datagram Tag value.  <a href="#a9cfcd18bb18b6c0503a6cfab64a243f2">More...</a><br /></td></tr>
<tr class="separator:a9cfcd18bb18b6c0503a6cfab64a243f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4e6352b87237d86690db4f04b80b451"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader.html#aa4e6352b87237d86690db4f04b80b451">SetDatagramTag</a> (uint16_t aTag)</td></tr>
<tr class="memdesc:aa4e6352b87237d86690db4f04b80b451"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Datagram Tag value.  <a href="#aa4e6352b87237d86690db4f04b80b451">More...</a><br /></td></tr>
<tr class="separator:aa4e6352b87237d86690db4f04b80b451"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a865bf2eb1518af2540ebe06f49693c65"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader.html#a865bf2eb1518af2540ebe06f49693c65">GetDatagramOffset</a> ()</td></tr>
<tr class="memdesc:a865bf2eb1518af2540ebe06f49693c65"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Datagram Offset value.  <a href="#a865bf2eb1518af2540ebe06f49693c65">More...</a><br /></td></tr>
<tr class="separator:a865bf2eb1518af2540ebe06f49693c65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9dff0427986ba1acfc5ed3c8d10710fe"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader.html#a9dff0427986ba1acfc5ed3c8d10710fe">SetDatagramOffset</a> (uint16_t aOffset)</td></tr>
<tr class="memdesc:a9dff0427986ba1acfc5ed3c8d10710fe"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Datagram Offset value.  <a href="#a9dff0427986ba1acfc5ed3c8d10710fe">More...</a><br /></td></tr>
<tr class="separator:a9dff0427986ba1acfc5ed3c8d10710fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class implements Fragment Header generation and parsing. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a865bf2eb1518af2540ebe06f49693c65"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t Thread::Lowpan::FragmentHeader::GetDatagramOffset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the Datagram Offset value. </p>
<dl class="section return"><dt>Returns</dt><dd>The Datagram Offset value. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader_a865bf2eb1518af2540ebe06f49693c65_icgraph.png" border="0" usemap="#d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader_a865bf2eb1518af2540ebe06f49693c65_icgraph" alt=""/></div>
<map name="d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader_a865bf2eb1518af2540ebe06f49693c65_icgraph" id="d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader_a865bf2eb1518af2540ebe06f49693c65_icgraph">
<area shape="rect" id="node2" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="241,33,411,72"/>
<area shape="rect" id="node3" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="459,40,639,65"/>
<area shape="rect" id="node4" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="687,5,861,44"/>
<area shape="rect" id="node5" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="732,68,816,93"/>
<area shape="rect" id="node6" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="909,61,1064,100"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a7055cf2380206a8dfe3122abb55800b2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t Thread::Lowpan::FragmentHeader::GetDatagramSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the Datagram Size value. </p>
<dl class="section return"><dt>Returns</dt><dd>The Datagram Size value. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader_a7055cf2380206a8dfe3122abb55800b2_icgraph.png" border="0" usemap="#d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader_a7055cf2380206a8dfe3122abb55800b2_icgraph" alt=""/></div>
<map name="d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader_a7055cf2380206a8dfe3122abb55800b2_icgraph" id="d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader_a7055cf2380206a8dfe3122abb55800b2_icgraph">
<area shape="rect" id="node2" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="235,33,405,72"/>
<area shape="rect" id="node3" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="453,40,634,65"/>
<area shape="rect" id="node4" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="682,5,855,44"/>
<area shape="rect" id="node5" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="726,68,810,93"/>
<area shape="rect" id="node6" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="903,61,1058,100"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a9cfcd18bb18b6c0503a6cfab64a243f2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t Thread::Lowpan::FragmentHeader::GetDatagramTag </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the Datagram Tag value. </p>
<dl class="section return"><dt>Returns</dt><dd>The Datagram Tag value. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader_a9cfcd18bb18b6c0503a6cfab64a243f2_icgraph.png" border="0" usemap="#d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader_a9cfcd18bb18b6c0503a6cfab64a243f2_icgraph" alt=""/></div>
<map name="d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader_a9cfcd18bb18b6c0503a6cfab64a243f2_icgraph" id="d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader_a9cfcd18bb18b6c0503a6cfab64a243f2_icgraph">
<area shape="rect" id="node2" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="235,33,405,72"/>
<area shape="rect" id="node3" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="453,40,634,65"/>
<area shape="rect" id="node4" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="682,5,855,44"/>
<area shape="rect" id="node5" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="726,68,810,93"/>
<area shape="rect" id="node6" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="903,61,1058,100"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a8c1dceb257aa41c7e7ab2fbb78a71a8d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t Thread::Lowpan::FragmentHeader::GetHeaderLength </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the Fragment Header length. </p>
<dl class="section return"><dt>Returns</dt><dd>The Fragment Header length in bytes. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader_a8c1dceb257aa41c7e7ab2fbb78a71a8d_icgraph.png" border="0" usemap="#d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader_a8c1dceb257aa41c7e7ab2fbb78a71a8d_icgraph" alt=""/></div>
<map name="d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader_a8c1dceb257aa41c7e7ab2fbb78a71a8d_icgraph" id="d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader_a8c1dceb257aa41c7e7ab2fbb78a71a8d_icgraph">
<area shape="rect" id="node2" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="238,5,402,44"/>
<area shape="rect" id="node3" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="235,68,405,107"/>
<area shape="rect" id="node4" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="453,75,634,100"/>
<area shape="rect" id="node5" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="682,40,855,79"/>
<area shape="rect" id="node6" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="726,103,810,128"/>
<area shape="rect" id="node7" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="903,96,1058,135"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="af549d79b0e52a6df7165998c9005dff4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Thread::Lowpan::FragmentHeader::IsFragmentHeader </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method indicates whether or not the header is a Fragment Header. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">TRUE</td><td>If the header matches the Fragment Header dispatch value. </td></tr>
    <tr><td class="paramname">FALSE</td><td>If the header does not match the Fragment Header dispatch value. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9dff0427986ba1acfc5ed3c8d10710fe"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Lowpan::FragmentHeader::SetDatagramOffset </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aOffset</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the Datagram Offset value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aOffset</td><td>The Datagram Offset value. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader_a9dff0427986ba1acfc5ed3c8d10710fe_icgraph.png" border="0" usemap="#d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader_a9dff0427986ba1acfc5ed3c8d10710fe_icgraph" alt=""/></div>
<map name="d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader_a9dff0427986ba1acfc5ed3c8d10710fe_icgraph" id="d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader_a9dff0427986ba1acfc5ed3c8d10710fe_icgraph">
<area shape="rect" id="node2" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="240,5,404,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ab67b3f90ee08487aafc07d9d16e22faf"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Lowpan::FragmentHeader::SetDatagramSize </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aSize</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the Datagram Size value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aSize</td><td>The Datagram Size value. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader_ab67b3f90ee08487aafc07d9d16e22faf_icgraph.png" border="0" usemap="#d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader_ab67b3f90ee08487aafc07d9d16e22faf_icgraph" alt=""/></div>
<map name="d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader_ab67b3f90ee08487aafc07d9d16e22faf_icgraph" id="d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader_ab67b3f90ee08487aafc07d9d16e22faf_icgraph">
<area shape="rect" id="node2" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="235,5,400,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="aa4e6352b87237d86690db4f04b80b451"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Lowpan::FragmentHeader::SetDatagramTag </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aTag</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the Datagram Tag value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aTag</td><td>The Datagram Tag value. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader_aa4e6352b87237d86690db4f04b80b451_icgraph.png" border="0" usemap="#d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader_aa4e6352b87237d86690db4f04b80b451_icgraph" alt=""/></div>
<map name="d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader_aa4e6352b87237d86690db4f04b80b451_icgraph" id="d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader_aa4e6352b87237d86690db4f04b80b451_icgraph">
<area shape="rect" id="node2" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="235,5,400,44"/>
</map>
</div>
</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/core/thread/<a class="el" href="../../de/d66/lowpan_8hpp_source.html">lowpan.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><a class="el" href="../../df/d62/namespaceThread_1_1Lowpan.html">Lowpan</a></li><li class="navelem"><a class="el" href="../../d7/d6c/classThread_1_1Lowpan_1_1FragmentHeader.html">FragmentHeader</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
